aboutsummaryrefslogtreecommitdiff
path: root/graphics/simple-scan/simple-scan.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/simple-scan/simple-scan.SlackBuild')
-rw-r--r--graphics/simple-scan/simple-scan.SlackBuild47
1 files changed, 28 insertions, 19 deletions
diff --git a/graphics/simple-scan/simple-scan.SlackBuild b/graphics/simple-scan/simple-scan.SlackBuild
index aa2229bb4547..67d208f57200 100644
--- a/graphics/simple-scan/simple-scan.SlackBuild
+++ b/graphics/simple-scan/simple-scan.SlackBuild
@@ -1,10 +1,9 @@
#!/bin/bash
-# Slackware Package Build Script for simple-scan
-# Home Page https://launchpad.net/simple-scan
+# Slackware build script for simple-scan
-# Copyright (c) 2010-2017, Nishant Limbachia, Hoffman Estates, IL, USA
-# [nishant _AT_ mnspace _DOT_ net]
+# Copyright 2010-2017, Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright 2021 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM="simple-scan"
-VERSION=${VERSION:-3.34.0}
+VERSION=${VERSION:-3.38.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -69,9 +68,10 @@ fi
set -e
-rm -fr $TMP/$PRGNAM-$VERSION $PKG
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root.root .
@@ -81,22 +81,31 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 640 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-patch -p1 < $CWD/libwebpmux.patch
-
-meson --prefix $PKG/usr build
-
-# Fix for meson-0.44.0, thanks to Andrew Clemons
-sed -i 's,../src/src/,../src/,g' build/build.ninja
-
-"${NINJA:=ninja}"
-$NINJA -C build all install
-
-rm -f $PKG/usr/share/glib-2.0/schemas/gschemas.compiled
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc
+ ninja
+ DESTDIR=$PKG ninja install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
-
-mv $PKG/usr/share/man $PKG/usr/man
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc